Extending Qt Creator Manual | GdbServerPortsGatherer

Extending Qt Creator Manual 4.5.2

# GdbServerPortsGatherer Class

(Debugger::GdbServerPortsGatherer)

Inherits: | ProjectExplorer::RunWorker

- List of all members, including inherited members

## Public Functions

| GdbServerPortsGatherer(ProjectExplorer::RunControl *runControl)
| ~GdbServerPortsGatherer()
QString | gdbServerChannel() const
Utils::Port | gdbServerPort() const
QUrl | qmlServer() const
Utils::Port | qmlServerPort() const
void | setDevice(ProjectExplorer::IDevice::ConstPtr device)
void | setUseGdbServer(bool useIt)
void | setUseQmlServer(bool useIt)
bool | useGdbServer() const
bool | useQmlServer() const

- 23 public functions inherited from ProjectExplorer::RunWorker

### Additional Inherited Members

- 2 signals inherited from ProjectExplorer::RunWorker
- 1 static public member inherited from ProjectExplorer::RunWorker

## Member Function Documentation

### GdbServerPortsGatherer::GdbServerPortsGatherer(ProjectExplorer::RunControl *runControl)

Default constructs an instance of GdbServerPortsGatherer.

### GdbServerPortsGatherer::~GdbServerPortsGatherer()

Destroys the instance of GdbServerPortsGatherer.

### QString GdbServerPortsGatherer::gdbServerChannel() const

### Utils::Port GdbServerPortsGatherer::gdbServerPort() const

### QUrl GdbServerPortsGatherer::qmlServer() const

### Utils::Port GdbServerPortsGatherer::qmlServerPort() const

### void GdbServerPortsGatherer::setDevice(ProjectExplorer::IDevice::ConstPtr device)

### void GdbServerPortsGatherer::setUseGdbServer(bool useIt)

See also useGdbServer().

### void GdbServerPortsGatherer::setUseQmlServer(bool useIt)

See also useQmlServer().

### bool GdbServerPortsGatherer::useGdbServer() const

See also setUseGdbServer().

### bool GdbServerPortsGatherer::useQmlServer() const

See also setUseQmlServer().